=== debian/changelog ===
openvpn3-indicator (0.0~git20260107.d464ef5-1) unstable; urgency=low

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Wed, 14 Jan 2026 18:28:09 +0100
