=== debian/control ===
Source: openvpn3-indicator
Section: gnome
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 zip,
Standards-Version: 4.7.3
Homepage: https://github.com/openvpn/openvpn3-indicator
Vcs-Browser: https://forgejo.debian.net/openvpn/openvpn3-indicator
Vcs-Git: https://forgejo.debian.net/openvpn/openvpn3-indicator

Package: openvpn3-indicator
Architecture: all
Depends:
 gir1.2-ayatanaappindicator3-0.1,
 openvpn3-client,
 python3,
 python3-gi,
 python3-secretstorage,
 python3-setproctitle,
 ${misc:Depends},
Enhances:
 openvpn3-client,
Description: multi-interface BitTorrent client (metapackage)
 OpenVPN is an application to securely tunnel IP networks over a
 single UDP or TCP port. It can be used to access remote sites, make
 secure point-to-point connections, enhance wireless security, etc.
 .
 This package contains a indicator application that controls OpenVPN3
 tunnels, until Network Manager supports OpenVPN3.
